<?php

final class SemiStructuredObjectTypeSearchConduitAPIMethod
  extends PhabricatorSearchEngineAPIMethod {

  public function getAPIMethodName() {
    return 'semistructured.type.search';
  }

  public function newSearchEngine() {
    return new SemiStructuredObjectTypeSearchEngine();
  }

  public function getMethodSummary() {
    return pht('Read information about Object Type.');
  }

}
